
QGIS Application - Bug report #21151

spatialite, edit table in dbmanager is broken in master Fault: no such table: pg_description

2019-02-01 11:28 PM - Gerhard Spieles

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28969

Description

QGIS 3.5, Codeversion 56e465cc8a

DBManager, Spatialite, edit table popup a window with database fault "no such table: pg_description"

Associated revisions

Revision cd6ce764 - 2019-02-04 06:26 PM - Alessandro Pasotti

Quick and dirty patch to DB-Manager after PR 8831

The "comments" PR 8831 added support for postgres only

(and broke all the others backends).

I'd be in favor of a revert of the whole original PR but

this patch restores functionality and could be an acceptable

temporary fix until the comments PR is reworked in a more

maintainable and elegant way.

Fixes #21151 btw

Revision c5ef988d - 2019-03-07 07:34 PM - Alessandro Pasotti

Fix raster calculator with multiband rasters

Fixes #21151

Revision a2b4c211 - 2019-03-07 07:34 PM - Alessandro Pasotti

Fix raster calculator with multiband rasters

Fixes #21151

History

#1 - 2019-02-02 09:32 AM - Giovanni Manghi

- Status changed from Open to Feedback
"edit table" means editing its structure or its content?

#2 - 2019-02-02 11:13 AM - Gerhard Spieles

- Status changed from Feedback to Open

Sorry,

table structure.

#3 - 2019-02-02 12:52 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System deleted (win10)

- Priority changed from Normal to High

Confirmed, regression.

#4 - 2019-02-02 09:25 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2019-02-04 06:34 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9086

#6 - 2019-02-06 07:45 AM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|cd6ce76480f19db651a5dd33134b7963b1b74daa.
https://github.com/qgis/QGIS/pull/9086

